var gameRealTimeRankSkin=gameRealTimeRankSkin||{};
gameRealTimeRankSkin.GameRealTimeRankSkin=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameRealTimeRankSkin.GameRealTimeRankSkin,F2xContainer);
gameRealTimeRankSkin.GameRealTimeRankSkin.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d2=Flash2x.t(0,decodeURI("%E4%BD%A0%E7%9A%84%E6%8E%92%E5%90%8D"),22,"#FF0000","Microsoft YaHei",0,0,396,29.05,31.05,"center",false,false,"multiline",false);
	_d2.name="myRankTxt";
	s.myRankTxt=_d2;
	Flash2x.d(_d2,{x:136,y:908.5});
	var _d1=new gameRealTimeRankSkin.F2xAuto_0();
	_d1.initButton();
	_d1.name="closeBtn";
	s.closeBtn=_d1;
	Flash2x.d(_d1,{x:575,y:155});
	_d1.initButton();
	var _d0=Flash2x.b("gameRealTimeRankSkin","bg");
	Flash2x.d(_d0,{x:10,y:82});
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	//f2x_auto_created_init_end
	
};
